local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function XPTextConfig_OnLoad()
	SlashCmdList["XPTCONFIG"] = xptconfig;
		SLASH_XPTCONFIG1 = "/xpt"
end


function xptconfig()

localizedClass, englishClass, classIndex = UnitClass("player")

local xptoptions = CreateFrame("Frame", "FBSConfig", UIParent)
if GetLocale() == "deDE" then
	xptoptions:SetSize(425, 250) -- WxH
elseif GetLocale() == "frFR" then
	xptoptions:SetSize(550, 250)
else
	xptoptions:SetSize(300, 250)
end
xptoptions:SetPoint("CENTER")
xptoptions:SetClampedToScreen(true)
xptoptions:EnableMouse(true)
xptoptions:SetMovable(true)
xptoptions:RegisterForDrag("LeftButton")
xptoptions:SetScript("OnDragStart", function(self) self:StartMoving() end)
xptoptions:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)
xptoptions:Show()
local optionsbg = xptoptions:CreateTexture()
optionsbg:SetAllPoints(xptoptions)
optionsbg:SetColorTexture(0, 0, 0, 0.9)
local hidexptoptions = CreateFrame("Button", nil, xptoptions, "UIPanelCloseButton")
hidexptoptions:SetPoint("TOPRIGHT", xptoptions, "TOPRIGHT", -5, -5)

local title = xptoptions:CreateFontString(nil, nil, "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("XP Bar Text - Config")

xptoptions:SetScript("OnHide", function(frame)
	UpdateXPBarText()
end)

-- Toggle Full Information Display

local chkShowFullInfo = CreateFrame("CheckButton", nil, xptoptions, "OptionsBaseCheckButtonTemplate")
chkShowFullInfo:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -16)

if XPTConfig.ShowMoreInfo == "YES" then
	chkShowFullInfo:SetChecked(true)
elseif XPTConfig.ShowMoreInfo == "NO" then
	chkShowFullInfo:SetChecked(false)
end

chkShowFullInfo:SetScript("OnClick", function(frame)
local tick = frame:GetChecked()

	if tick == false then
		XPTConfig.ShowMoreInfo = 'NO'
	elseif tick == true then
		XPTConfig.ShowMoreInfo = 'YES'
	end
end)

local chkShowFullInfoText = xptoptions:CreateFontString(nil, nil, "GameFontHighlight")
chkShowFullInfoText:SetPoint("LEFT", chkShowFullInfo, "RIGHT", 0, 1)
chkShowFullInfoText:SetText(L["Show more information on XP bar"])

-- Always Show Information

local chkAlwaysShowInfo = CreateFrame("CheckButton", nil, xptoptions, "OptionsBaseCheckButtonTemplate")
chkAlwaysShowInfo:SetPoint("TOPLEFT", chkShowFullInfo, "BOTTOMLEFT", 0, -16)

if XPTConfig.AlwaysShowInfo == "YES" then
	chkAlwaysShowInfo:SetChecked(true)
elseif XPTConfig.AlwaysShowInfo == "NO" then
	chkAlwaysShowInfo:SetChecked(false)
end

chkAlwaysShowInfo:SetScript("OnClick", function(frame)
local tick = frame:GetChecked()

	if tick == false then
		XPTConfig.AlwaysShowInfo = 'NO'
	elseif tick == true then
		XPTConfig.AlwaysShowInfo = 'YES'
	end
end)

local chkAlwaysShowInfoText = xptoptions:CreateFontString(nil, nil, "GameFontHighlight")
chkAlwaysShowInfoText:SetPoint("LEFT", chkAlwaysShowInfo, "RIGHT", 0, 1)
chkAlwaysShowInfoText:SetText(L["Always show information on XP bar"])

chkAlwaysShowInfo:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["If unchecked, the information will only be visible when you move the cursor over the XP bar."], 1, 1, 1)
	GameTooltip:Show()
end)

-- Number Formatting

local chkNumberFormatting = CreateFrame("CheckButton", nil, xptoptions, "OptionsBaseCheckButtonTemplate")
chkNumberFormatting:SetPoint("TOPLEFT", chkAlwaysShowInfo, "BOTTOMLEFT", 0, -16)

if XPTConfig.FormatNumbers == "YES" then
	chkNumberFormatting:SetChecked(true)
elseif XPTConfig.FormatNumbers == "NO" then
	chkNumberFormatting:SetChecked(false)
end

chkNumberFormatting:SetScript("OnClick", function(frame)
local tick = frame:GetChecked()

	if tick == false then
		XPTConfig.FormatNumbers = 'NO'
	elseif tick == true then
		XPTConfig.FormatNumbers = 'YES'
	end
end)

local chkNumberFormattingText = xptoptions:CreateFontString(nil, nil, "GameFontHighlight")
chkNumberFormattingText:SetPoint("LEFT", chkNumberFormatting, "RIGHT", 0, 1)
chkNumberFormattingText:SetText(L["Number Formatting"])

chkNumberFormatting:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
	GameTooltip:AddLine(L["If enabled, numbers will be separated using a comma for easier reading."], 1, 1, 1)
	GameTooltip:Show()
end)

if classIndex == 3 then

-- Toggle Pet Information (Hunters only)

local chkShowPetInfo = CreateFrame("CheckButton", nil, xptoptions, "OptionsBaseCheckButtonTemplate")
chkShowPetInfo:SetPoint("TOPLEFT", chkNumberFormatting, "BOTTOMLEFT", 0, -16)

if XPTConfig.ShowPetInfo == "YES" then
	chkShowPetInfo:SetChecked(true)
elseif XPTConfig.ShowPetInfo == "NO" then
	chkShowPetInfo:SetChecked(false)
end

chkShowPetInfo:SetScript("OnClick", function(frame)
local tick = frame:GetChecked()

	if tick == false then
		XPTConfig.ShowPetInfo = 'NO'
	elseif tick == true then
		XPTConfig.ShowPetInfo = 'YES'
	end
end)

local chkShowPetInfoText = xptoptions:CreateFontString(nil, nil, "GameFontHighlight")
chkShowPetInfoText:SetPoint("LEFT", chkShowPetInfo, "RIGHT", 0, 1)
chkShowPetInfoText:SetText(L["Show pet information on XP bar"])

end

-- Close to update

local txtUpdateBars = xptoptions:CreateFontString(nil, nil, "GameFontHighlight")
txtUpdateBars:SetPoint("TOPLEFT", xptoptions, "BOTTOMLEFT", 16, 20)
txtUpdateBars:SetText(L["Close this window to update the information."])

end